{
  "name": "course-app",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "next lint",
    "eslint": "eslint --ext .ts --ext .tsx",
    "eslint:fix": "eslint --fix --ext .ts --ext .tsx",
    "prepare": "husky",
    "test:nowatch": "react-scripts test --watchAll=false",
    "prepublish": "npm run eslint:fix",
    "dev:backend": "cd ../course-app-backend && npm start",
    "dev:fullstack": "concurrently \"npm run dev\" \"npm run dev:backend\""
  },
  "dependencies": {
    "@hookform/resolvers": "^3.3.4",
    "@radix-ui/react-label": "^2.0.2",
    "@radix-ui/react-slot": "^1.0.2",
    "axios": "^1.6.8",
    "class-variance-authority": "^0.7.0",
    "clsx": "^2.1.0",
    "framer-motion": "^11.1.1",
    "lucide-react": "^0.368.0",
    "next": "14.1.4",
    "next-auth": "^5.0.0-beta.16",
    "react": "^18",
    "react-dom": "^18",
    "react-hook-form": "^7.51.3",
    "tailwind-merge": "^2.2.2",
    "tailwindcss-animate": "^1.0.7",
    "zod": "^3.22.4"
  },
  "devDependencies": {
    "@tailwindcss/forms": "^0.5.7",
    "@trivago/prettier-plugin-sort-imports": "^4.3.0",
    "@types/node": "^20",
    "@types/react": "^18",
    "@types/react-dom": "^18",
    "autoprefixer": "^10.0.1",
    "concurrently": "^8.2.2",
    "eslint": "^8",
    "eslint-config-next": "14.1.4",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-prettier": "^5.1.3",
    "husky": "^9.0.11",
    "postcss": "^8",
    "prettier": "^3.2.5",
    "tailwindcss": "^3.3.0",
    "typescript": "^5"
  }
}
